Levain LabsLevain Labs
ApiManaged agents

List Managed Agents

List the agents available for adoption into this workspace.

Each entry describes what the agent does, the integrations it needs, and whether the workspace has already adopted it.

GET
/api/v1/managed-agents/

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/managed-agents/"
[
  {
    "slug": "string",
    "name": "string",
    "description": "string",
    "icon": "string",
    "color": "string",
    "required_integrations": [
      "string"
    ],
    "optional_integrations": [
      "string"
    ],
    "missing_integrations": [
      "string"
    ],
    "input_schema": {},
    "adopted_agent_id": "string"
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}